#######################
#
# THIS IS A SAMPLE CONFIGURATION FOR KANNEL
#
#######################
group = core
admin-port = 13
admin-password = smsserver
#status-password = smsserver
admin-deny-ip = "*.*.*.*"
admin-allow-ip = "127.0.0.1"
log-file = "/home/sms/log/kannel-log.log"
log-level = 1
access-log = "/home/sms/log/kannel-access-log.log"
#http-proxy-host = "127.0.0.1"
#http-proxy-port = 8080
#http-proxy-exceptions = "127.0.0.1"
#http-proxy-username = "user"
#http-proxy-password = "password"
#ssl-certkey-file = "mycertandprivkeyfile.pem"
sms-combine-concatenated-mo = true
sms-incoming-queue-limit = -1
smsbox-max-pending = 150
# Smsbox related
smsbox-port = 13001
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"
#unified-prefix = "00358,0"
#white-list = "http://127.0.0.1/white-list.txt"
#black-list = "http://127.0.0.1/black-list.txt"erri
#store-file = "/home/sms/log/kannel.store"

# Wapbox related
#wapbox-port = 13002
#udp-deny-ip = "*.*.*.*"
#udp-allow-ip = "127.0.0.1"
#wdp-interface-name = "*"


# SMSC CONNECTIONS - GLOBAL FIELDS
#group = smsc
#smsc = 
#smsc-id = ID
#denied-smsc-id = "X;Y"
#allowed-smsc-id = "Z"
#preferred-smsc-id = "W"
#allowed-prefix = "040;050"
#denied-prefix = "060;070"
#alt-charset = 

# SMSC GSM
group = smsc
smsc = at
receive-port = 1325
phone = +919159927969
#allowed-smsc-id = +91
allowed-prefix = +91;97
#preferred-smsc-id = +91
preferred-prefix = +91
#modemtype = ericsson_r520m
modemtype = ericsson_t68
device = /dev/ttyACM1
#pin = 2345
validityperiod = 5000
#sms-center="+919159927969"


# SMSC Fake
#group = smsc
#smsc = fake
#host =
#port =
#connect-allow-ip = 


# SMSBOX SETUP
group = smsbox
bearerbox-host = localhost
sendsms-port = 13013
sendsms-chars = "0123456789 +-"
global-sender = +919159927969
#log-file = "/home/sms/log/smsbox.log"
log-level = 1
log-file = "/Desktop/gw/smsbox.log" 
#access-log = "/home/sms/log/smsbox.log"
#white-list =
#black-list =
#reply-couldnotfetch = 
#reply-couldnotrepresent = 
#reply-requestfailed =
#reply-emptymessage = 


# SEND-SMS USERS

group = sendsms-user
username = test
password = test
default-sender = +919159927969
#user-deny-ip = ""
#user-allow-ip = ""

# this sender is for Kannel relay testing (http_smsc)

#group = sendsms-user
#username = kannel
#password = rL4y
#user-deny-ip = "*.*.*.*"
#user-allow-ip = "127.0.0.1"
#name = service_kannel
#forced-smsc = ID
#default-smsc = ID
#faked-sended =
#max-messages = 1
#concatenation = 1
#split-chars = 
#split-suffix = 
#omit-empty = 
#header =
#footer =
#allowed-prefix =
#denied-prefix =
#white-list =
#black-list =


# SMS SERVICES

#group = sms-service
#name = nothing
#keyword = nop
#aliases = "noppy;niente"
#text = "You asked nothing and I did it!"
#get-url = "http://"
#post-url = "http://"
#file = "/tmp/"
#accepted-smsc = ID
#allowed-prefix = 
#denied-prefix = 
#catch-all = false
#send-sender = false
#strip-keyword = false
#faked-sender = 
#max-messages = 1
#accept-x-kannel-headers = false
#assume-plain-text = false
#concatenation = false
#split-chars = 
#split-suffix = "+"
#omit-empty = true
#header =
#footer =
#prefix = 
#suffix =
#white-list =
#black-list =


# SMS SERVICE GET-URL EXAMPLE
#group = sms-service
#keyword = relay
#get-url = "http://localhost/service?phone=%p&text=%r&binary=%b&smsc=$i&time=%t


# SMS SERVICE black-list
#group = sms-service
#keyword = black-list
#text = "You are not alowed to use this service, Go away!"


# SMS SERVICE Default
# there should be default always
group = sms-service
keyword-regex= .*
#text = "No service specified"
catch-all = yes
#faked-sender = +919159927969
#get-url = "http://localhost/service?sender=%p&test=%r"
post-url = "http://localhost:8082/SMSreply/replySMS?phoneno=%p&message=%a&from=9159927969" 
assume-plain-text = true

include="/usr/local/include/kannel/modems.conf"

